View Issue Details

IDProjectCategoryView StatusLast Update
0032834CommunityOCCT:Configurationpublic2022-10-19 15:55
ReporterStefanBruens Assigned Tovpozdyayev  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
PlatformLinuxOSopenSUSE Tumbleweed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032834: Configuration, CMake - DESTDIR ignored for OpenCASCADECompileDefinitionsAndFlags-${CMAKE_INSTALL_CONFIG_NAME_LOWER}.cmake
DescriptionThe file is copied using cmakes `install(CODE "configure_file ... COPYONLY")`. This has the effect of ignoring any DESTDIR, which is only correctly used when using `file( INSTALL_FILES ... DESTINATION ...)`.

Steps To Reproducecmake -DCMAKE_INSTALL_PREFIX=/usr -DINSTALL_DIR_LIB=/usr/lib64 -DINSTALL_DIR_CMAKE=/usr/lib64/cmake/opencascade/

make

mkdir /tmp/staging/
make DESTDIR=/tmp/staging/ install
Additional information
and documentation updates
The issue is trivial to fix, see attached patch.
TagsNo tags attached.
Test case numberNot required

Attached Files

  • fix_build.patch (912 bytes)

Activities

StefanBruens

2022-02-15 02:32

reporter  

fix_build.patch (912 bytes)

StefanBruens

2022-02-17 01:14

reporter   ~0106937

Why has this been marked as resolved?
There is no change visible in https://github.com/Open-Cascade-SAS/OCCT

kgv

2022-02-17 08:49

developer   ~0106941

@StefanBruens you may take a look onto bug advancement workflow on this bugtracker here:
https://dev.opencascade.org/doc/overview/html/occt_contribution__contribution_workflow.html

Issue is switched into RESOLVED state when patch is provided for revision/testing (I suppose fix_build.patch was attached for that purpose).
It is switched into VERIFIED / CLOSED states when it is actually merged into main development branch.

git

2022-02-26 21:52

administrator   ~0107089

Branch CR32834 has been created by kgv.

SHA-1: b9184c271493f25ae444304a62f35d9c236c6f12


Detailed log of new commits:

Author: kgv
Date: Sat Feb 26 21:52:21 2022 +0300

    0032834: Configuration, CMake - DESTDIR ignored for OpenCASCADECompileDefinitionsAndFlags-${CMAKE_INSTALL_CONFIG_NAME_LOWER}.cmake
    
    Replace redundant configure_file() with normal file copy for installing OpenCASCADECompileDefinitionsAndFlags- files.

kgv

2022-02-26 21:52

developer   ~0107090

Please raise patch
- OCCT: branch CR32834.

smoskvin

2022-03-06 10:08

administrator   ~0107203

Combination -
OCCT branch : IR-2022-03-05
master SHA - acce2c1448254a2e57cc940dc479a795dcc3f5f0
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-03-05 SHA - 811792d8c83c5e910e820c2e0f9efd0c3306cee3
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18394.330000000256 / 18467.180000000375 [-0.39%]
Products
Total CPU difference: 11708.150000000112 / 11716.630000000077 [-0.07%]
Windows-64-VC14:
OCCT
Total CPU difference: 20348.171875 / 20359.046875 [-0.05%]
Products
Total CPU difference: 13154.5625 / 13140.734375 [+0.11%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-04-04 21:22

administrator   ~0107608

Branch CR32834 has been deleted by kgv.

SHA-1: b9184c271493f25ae444304a62f35d9c236c6f12

Related Changesets

occt: master b9184c27

2022-02-26 21:52:21

kgv

Details Diff
0032834: Configuration, CMake - DESTDIR ignored for OpenCASCADECompileDefinitionsAndFlags-${CMAKE_INSTALL_CONFIG_NAME_LOWER}.cmake

Replace redundant configure_file() with normal file copy for installing OpenCASCADECompileDefinitionsAndFlags- files.
Affected Issues
0032834
mod - CMakeLists.txt Diff File

Issue History

Date Modified Username Field Change
2022-02-15 02:32 StefanBruens New Issue
2022-02-15 02:32 StefanBruens Assigned To => kgv
2022-02-15 02:32 StefanBruens File Added: fix_build.patch
2022-02-15 11:47 kgv Assigned To kgv => bugmaster
2022-02-15 11:47 kgv Category OCCT:Coding => OCCT:Configuration
2022-02-15 11:47 kgv Product Version 7.6.1 => 7.6.0
2022-02-15 11:47 kgv Target Version => 7.7.0
2022-02-15 11:47 kgv Summary DESTDIR ignored for OpenCASCADECompileDefinitionsAndFlags-${CMAKE_INSTALL_CONFIG_NAME_LOWER}.cmake => Configuration, CMake - DESTDIR ignored for OpenCASCADECompileDefinitionsAndFlags-${CMAKE_INSTALL_CONFIG_NAME_LOWER}.cmake
2022-02-15 11:47 kgv Status new => resolved
2022-02-17 01:14 StefanBruens Note Added: 0106937
2022-02-17 08:49 kgv Note Added: 0106941
2022-02-26 21:52 git Note Added: 0107089
2022-02-26 21:52 kgv Note Added: 0107090
2022-02-26 21:53 kgv Status resolved => reviewed
2022-03-06 10:08 smoskvin Status reviewed => tested
2022-03-06 10:08 smoskvin Note Added: 0107203
2022-03-06 10:10 smoskvin Test case number => Not required
2022-03-06 13:15 kgv Changeset attached => occt master b9184c27
2022-03-06 13:15 kgv Assigned To bugmaster => kgv
2022-03-06 13:15 kgv Status tested => verified
2022-03-06 13:15 kgv Resolution open => fixed
2022-04-04 21:22 git Note Added: 0107608
2022-10-19 15:55 smoskvin Assigned To kgv => vpozdyayev